<?php


    if ($_POST['dni']!=''){
        $dni = $_POST['dni'];
        //creamos la conexión a la base de datos
        $con = mysqli_connect("localhost", "innovadi_root", "G5vRwk0w_a)-", "innovadi_padron_unlpam");
        if(mysqli_connect_errno()){
            echo "Falló la conexión a la base de datos: " . mysqli_connect_error();
            exit();
         }

         
         // Consulta a la base de datos
        $cons_est = "nombre, tipo_documento, nro_documento, sexo, domicilio_procedencia, localidad_procedencia, provincia_procedencia, pais_procedencia, telefono_procedencia, domicilio, localidad, telefono, email, condicion, estado, pertenencia, GROUP_CONCAT(carrera_cargo SEPARATOR ', ') as carrera_cargo, dedicacion, fecha_cancelacion, carrera_cargo as carr_nom, 'estudiante'";
        $cons_doc = "apellido AS nombre, tipo_documento, nro_documento, sexo, domicilio_procedencia, localidad_procedencia, provincia_procedencia, pais_procedencia, telefono_procedencia, domicilio, localidad, telefono, email, condicion, estado, pertenencia, cargo AS carrera_cargo, dedicacion, fecha_cancelacion, cargo as carr_nom, 'docente'";
        
        $sql = "SELECT $cons_est FROM estudiantes LEFT JOIN (SELECT GROUP_CONCAT(nombre SEPARATOR ', ') AS car_nom2, codigo FROM carreras GROUP BY codigo) as carreras ON FIND_IN_SET(carreras.codigo, carrera_cargo) != 0 where nro_documento=$dni UNION ALL
        SELECT $cons_doc FROM docentesynd where nro_documento = $dni";
        $resultado = mysqli_query($con, $sql);
         
         //verificamos que no de error la consulta
         if(mysqli_error($con)){
            echo "Falló la consulta: " . mysqli_error($con);
            exit();
         }
        
         //guardamos el resultado buscado
         $datos = mysqli_fetch_array($resultado);

         if ($datos['nro_documento']=='')  {
             print "<p class='alert alert-danger' role='alert'>El DNI ingresado no se encuentra en el padron.</p>";
         }
         else{
             $nombre = $datos['nombre'];
             $tipo_documento = $datos['tipo_documento'];
             $nro_documento = $datos['nro_documento'];
             $sexo = $datos['sexo'];
             $domicilio_procedencia = $datos['domicilio_procedencia'];
             $localidad_procedencia = $datos['localidad_procedencia'];
             $provincia_procedencia = $datos['provincia_procedencia'];
             $pais_procedencia = $datos['pais_procedencia'];
             $telefono_procedencia = $datos['telefono_procedencia'];
             $domicilio= $datos['domicilio'];
             $localidad = $datos['localidad'];
             $telefono= $datos['telefono'];
             $email = $datos['email'];
             $condicion= $datos['condicion'];
             $estado= $datos['estado'];
             $pertenencia= $datos['pertenencia'];
             
            foreach($datos as $dat) {    
                $cond_tipo = $dat['estudiante'];

                $carrera_ = trim($dat['carrera_cargo']);
                $carrera_ = array_map('trim', array_unique(explode(', ',$carrera_)));
                $carrera = implode(", ",$carrera_);
                
                $carr_nom = $carrera;
                $variable = 1;
                if ($cond_tipo=='estudiante') {
                    $carr_nom = '';
                    $carr_nom_cant = count($carrera_);
                    // Buscar el nombre de la carrera segun los códigos
                    $variable = 2;
                    for ($i=0; $i < $carr_nom_cant; $i++) { 
                        $coma_carr = $carr_nom_cant-1 == $i ? '' : ', '; // Separación
                        $cod_num = $carrera_[$i];
                        $res_cod_num = $con->prepare("SELECT nombre, codigo FROM carreras WHERE codigo = $cod_num");
                        $res_cod_num->execute() or die($res_cod_num->errorInfo()[2]);
                        $data_cod_num=$res_cod_num->fetchAll(PDO::FETCH_ASSOC); 
                        $carr_nom_bd = $data_cod_num[0]['nombre'];   
                        $variable = 3;
                        if ($carr_nom_bd=='') $carr_nom_bd='Sin Definir'; // Mensaje si el código no existe
                        $carr_nom .= $carr_nom_bd.$coma_carr;
                    }
                }
            }

    
             print "<p style='text-align: justify;' class='success alert alert-primary' role='alert'>Nombre: $nombre <br>
             nro_documento: $nro_documento <br>
             sexo: $sexo <br>
             domicilio_procedencia: $domicilio_procedencia <br>
             localidad_procedencia: $localidad_procedencia <br>
             provincia_procedencia: $provincia_procedencia <br>
             pais_procedencia: $pais_procedencia <br>
             telefono_procedencia: $telefono_procedencia <br>
             domicilio: $domicilio <br>
             localidad: $localidad <br>
             telefono: $telefono <br>
             email: $email <br>
             condicion: $condicion <br>
             estado: $estado <br>
             pertenencia: $pertenencia <br>
             carrera: $carr_nom <br>
             variable: $variable <br>
             </p>";
             }
        
         mysqli_close($con);
        }
    else {
        print "<p style='text-align: justify;' class='alert alert-danger' role='alert'>Debes ingresar un DNI para realizar la búsqueda.</p>";
        }

?>